precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputTexture;
uniform sampler2D inputTexture2;

void main(){
    vec4 color = texture2D(inputTexture, textureCoordinate);
    vec4 mask = texture2D(inputTexture2, vec2(textureCoordinate.x, 1.0 - textureCoordinate.y));
    gl_FragColor = vec4(min(color.a, mask.a));
}